razzledazzle(6x)

NAME
razzledazzle - screen saver.

SYNOPSIS
razzledazzle [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--delay number] [--speed number] [--ncolors number] [--density number] [--thickness number] [--mode string] [--fps]

DESCRIPTION
Generates an infinitely-scrolling sequence of dazzle camouflage patterns. Dazzle Ships were military vessels during World War I and early in World War II that were painted not to conceal but to confuse: with these Cubist overlapping stripes, it was very hard to estimate their size, range and heading. This was a big deal before the invention of Radar.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds).

--speed number
    Animation speed. 2.0 means twice as fast, 0.5 means half as fast.

--ncolors number
    Colors. Default: 2.

--density number
    Thickness of the grid, and overall complexity. 1 - 10. Default: 5.0.

--thickness number
    Thickness of the lines. 0.05 - 1.0. Default: 0.1.

--mode string
    Random, Ships or Flat. Default Random.

--fps | --no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2018 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski.